f

Mixlr Support

Unable to install Mixlr on macOS?

The current version of the Mixlr broadcast app is v29 and supports macOS 10.10 upwards. If you are running 10.10 and upwards and have an issue installing v29 please contact our support team.


If you are running macOS 10.7, 10.8 or 10.9 we suggest you try installing the previous version of Mixlr (v28) which supports 10.7 upwards. You can download v28 here.
support@mixlr.com
http://assets0.desk.com/
Mixlr
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
Invalid characters found
/customer/en/portal/articles/autocomplete